Class | SOAP::RPC::Router::RequestScopeOperation
In: | soap/rpc/router.rb
Parent: | Operation

### Methods

new

### Public Class methods

new(soapaction, receiver_factory, name, param_def, opt)

[Source]

    # File soap/rpc/router.rb, line 576
        def initialize(soapaction, receiver_factory, name, param_def, opt)
          super(soapaction, name, param_def, opt)
          unless receiver_factory.respond_to?(:create)
            raise TypeError.new("factory must respond to 'create'")
          end
          @receiver_factory = receiver_factory
        end

[Validate]